[1.10] Upgrade fails

Bug #1524152 reported by Andres Rodriguez
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
MAAS
Critical
Blake Rouse

Bug Description

Traceback (most recent call last): [14/3148]
  File "/usr/lib/python3/dist-packages/django/db/backends/utils.py", line 62, in execute
    return self.cursor.execute(sql)
psycopg2.ProgrammingError: relation "piston_consumer" does not exist

The above exception was the direct cause of the following exception:

Traceback (most recent call last):
  File "/usr/sbin/maas-region-admin", line 62, in <module>
    main()
  File "/usr/sbin/maas-region-admin", line 58, in main
    run()
  File "/usr/sbin/maas-region-admin", line 51, in run
    management.execute_from_command_line()
  File "/usr/lib/python3/dist-packages/django/core/management/__init__.py", line 354, in execute_from_command_line
    utility.execute()
  File "/usr/lib/python3/dist-packages/django/core/management/__init__.py", line 346, in execute
    self.fetch_command(subcommand).run_from_argv(self.argv)
  File "/usr/lib/python3/dist-packages/django/core/management/base.py", line 394, in run_from_argv
    self.execute(*args, **cmd_options)
  File "/usr/lib/python3/dist-packages/django/core/management/base.py", line 445, in execute
    output = self.handle(*args, **options)
  File "/usr/lib/python3/dist-packages/maasserver/management/commands/dbupgrade.py", line 266, in handle
    self._rename_piston_to_piston3(database)
  File "/usr/lib/python3/dist-packages/maasserver/management/commands/dbupgrade.py", line 197, in _rename_piston_to_piston3
    "ALTER TABLE piston_consumer RENAME TO piston3_consumer")
  File "/usr/lib/python3/dist-packages/django/db/backends/utils.py", line 64, in execute
    return self.cursor.execute(sql, params)
  File "/usr/lib/python3/dist-packages/django/db/utils.py", line 98, in __exit__
    six.reraise(dj_exc_type, dj_exc_value, traceback)
  File "/usr/lib/python3/dist-packages/django/utils/six.py", line 685, in reraise
    raise value.with_traceback(tb)
  File "/usr/lib/python3/dist-packages/django/db/backends/utils.py", line 62, in execute
    return self.cursor.execute(sql)
django.db.utils.ProgrammingError: relation "piston_consumer" does not exist

dpkg: error processing package maas-region-controller (--configure):

dpkg: error processing package maas-region-controller (--configure):
 subprocess installed post-installation script returned error exit status 1
dpkg: dependency problems prevent configuration of maas:
 maas depends on maas-region-controller (= 1.10.0~alpha1+bzr4543-0ubuntu1~xenial3); however:
  Package maas-region-controller is not configured yet.

dpkg: error processing package maas (--configure):
 dependency problems - leaving unconfigured
No apport report written because the error message indicates its a followup error from a previous failure.
                                                                                                          Errors were encountered while processi
ng:
 maas-region-controller
 maas
E: Sub-process /usr/bin/dpkg returned an error code (1)

Related branches

Revision history for this message
Andres Rodriguez (andreserl) wrote :

upgrading from: 1.10.0~alpha1+bzr4543-0ubuntu1~xenial2
to: 1.10.0~alpha1+bzr4543-0ubuntu1~xenial3

description: updated
Changed in maas:
assignee: nobody → Blake Rouse (blake-rouse)
tags: added: python3
Revision history for this message
Blake Rouse (blake-rouse) wrote :

Can you test the upgrade from 1.9 to 1.10. I think the issue here is that piston already got renamed. Would be better to add more smarts to make sure it exists before the rename.

Revision history for this message
Andres Rodriguez (andreserl) wrote : Re: [Bug 1524152] [NEW] [1.10] Upgrade failts

At this point, the problem I have is my upgrading from 1.9 to 110, as that
already went successfully. The problem I have is upgrading X version of
1.10 to Y version of 1.10.

On Tuesday, December 8, 2015, Blake Rouse <email address hidden> wrote:

> Can you test the upgrade from 1.9 to 1.10. I think the issue here is
> that piston already got renamed. Would be better to add more smarts to
> make sure it exists before the rename.
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1524152
>
> Title:
> [1.10] Upgrade failts
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/maas/+bug/1524152/+subscriptions
>

--
Andres Rodriguez (RoAkSoAx)
Ubuntu Server Developer
MSc. Telecom & Networking
Systems Engineer

Changed in maas:
status: New → In Progress
importance: Undecided → Critical
summary: - [1.10] Upgrade failts
+ [1.10] Upgrade fails
Changed in maas:
status: In Progress → Fix Committed
Changed in maas:
milestone: none → 1.10.0
Changed in maas:
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers